Attempting to set ulimit results in error on UCSB systems

2018-11-06 12:02 - Dave Vieglais

Status: In Progress Start date: 2018-11-05

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 30%

Category: d1_process_daemon Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

d1-processing attempts to set ulimit in the startup script:

ulimit -Hn 16384

ulimit -Sn 16384

 

This was necessary because the limit was previously too low (1024 or 4096). The low limits are quite conservative and could be

raised system wide. In order for the startup script to work as expected regardless of the system setting, a test should be added,

something like:

if (( $(ulimit -n) < 16384 )); then 

  ulimit -Hn 16384

  ulimit -Sn 16384

fi

 

will ensure ulimits are set as needed for the application.

History

#1 - 2018-11-08 15:09 - Dave Vieglais

Added to dataone-cn-processdaemon/etc/init.d/d1-processing in trunk

#2 - 2018-11-08 15:10 - Dave Vieglais

- % Done changed from 0 to 30

- Status changed from New to In Progress
